Fórum Debian
Atualizar o KDE para ultima versão. - Versão para Impressão

+- Fórum Debian (http://www.forumdebian.com.br)
+-- Fórum: Debian (/forum-4.html)
+--- Fórum: Ambiente Gráfico (/forum-19.html)
+--- Tópico: Atualizar o KDE para ultima versão. (/thread-9814.html)



Atualizar o KDE para ultima versão. - danielmuskitim - 07/06/2007 12:50

Vi no site do KDE que a ultima versão estável do KDE é a 3.5.7 porém o Debian Etch versão KDE (que é a que eu uso) vem instalado a versão 3.5.5. Gostaria de saber qual a melhor maneira de atualiza-lo.
No repositorio UNSTABLE do Debian já tem ele disponivel, porém me disseram que ao instalar pelo repositorio unstable pode "ferrar" com todo o sistema, pois ele atualizara bibliotecas que nao serão reconhecidas por outros programas, etc. E me disseram que instalar pelo codigo-fonte pode ser melhor. Mas ainda fikei na dúvida, pois se pelo apt-get ele vai instalar bibliotecas mais novas, na hora de compilar o codigo-fonte ele não irá pedir as bibliotecas mais novas instaladas para completar a compilação??

Bom, essa é minha duvida.
Obrigado a todos.


- eliasdiniz - 08/06/2007 03:18

acontece o seguinte, a versão instável do Debian, possui a versão mais nova de todos os programas, mas como essas versões não foram devidamente testadas (porque são novas) é possível que contenham bugs e sejam instáveis.
quanto a compilar todo o código, não sei se vale a pena.


Obs: estou usando o Debian sid (instável) a um mês e não tive problemas. a atualização fica por sua conta e risco !


- danielmuskitim - 08/06/2007 08:36

Sim, quanto aos programas serem instaveis eu tenho conhecimento. Mas a minha duvida é que eu gostaria de atualizar somento o KDE e os demais programas continuaria com a versão estável. Meu medo é que no momento da atualização do KDE ele peça bibliotecas e outros pacotes com versão mais recentes como dependencia. Afetando assim o funcionamento dos outros programas, que não reconhecerão essas bibliotecas mais nova, por exemplo.
Intendeu??


- gilbertojr - 12/07/2007 16:17

em falar nisso como instalo ele pelo apt-get????


- profpardal - 12/07/2007 19:31

É danielmuskitim certamente se vc tentar instalar essa versão do kde instável vai estourar todo o seu sistema por causa das dependências que pedirá. Isso já aconteceu comigo com um programa splashy que usava apenas algumas pacotes com dependências do unstable e me ferrou todo.
At +

Agora ao colega gilbertojr o que realmente vc quer instalar pelo apt-get?


- gilbertojr - 13/07/2007 09:40

profpardal Escreveu:É danielmuskitim certamente se vc tentar instalar essa versão do kde instável vai estourar todo o seu sistema por causa das dependências que pedirá. Isso já aconteceu comigo com um programa splashy que usava apenas algumas pacotes com dependências do unstable e me ferrou todo.
At +

Agora ao colega gilbertojr o que realmente vc quer instalar pelo apt-get?

quero instalar o KDE 3.5.7 ... nem sei se tem como... hehe ontem tentei isntalar o gnome 2.18 e fudeu tudo aqui.. huahuhauhuahauha... mas ta tranks.. instalei o debian de novo..huhauhauhua tenho meus aquivos em uma partição separada...